Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicOptionPaneUI.ButtonAreaLayout

    java.lang.Object
      |
      +--javax.swing.plaf.basic.BasicOptionPaneUI.ButtonAreaLayout

public static class BasicOptionPaneUI.ButtonAreaLayout
extends java.lang.Object
implements java.awt.LayoutManager

ButtonAreaLayout acts similiar to FlowLayout. It lays out all components from left to right. If syncAllWidths is true, the widths of each component will be set to the largest preferred size width. This inner class is marked "public" due to a compiler bug. This class should be treated as a "protected" inner class. Instantiate it only within subclasses of BasicOptionPaneUI.

Field Summary
`protected boolean` | `centersChildren` If true, children are lumped together in parent.
`protected int` | `padding`
`protected boolean` | `syncAllWidths`

Constructor Summary
`BasicOptionPaneUI.ButtonAreaLayout(boolean syncAllWidths, int padding)`

Method Summary
`void` | `addLayoutComponent(java.lang.String string, java.awt.Component comp)`
`boolean` | `getCentersChildren()`
`int` | `getPadding()`
`boolean` | `getSyncAllWidths()`
`void` | `layoutContainer(java.awt.Container container)`
`java.awt.Dimension` | `minimumLayoutSize(java.awt.Container c)`
`java.awt.Dimension` | `preferredLayoutSize(java.awt.Container c)`
`void` | `removeLayoutComponent(java.awt.Component c)`
`void` | `setCentersChildren(boolean newValue)`
`void` | `setPadding(int newPadding)`
`void` | `setSyncAllWidths(boolean newValue)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### syncAllWidths

    protected boolean syncAllWidths

### padding

    protected int padding

### centersChildren

    protected boolean centersChildren

  If true, children are lumped together in parent.

Constructor Detail

### BasicOptionPaneUI.ButtonAreaLayout

    public BasicOptionPaneUI.ButtonAreaLayout(boolean syncAllWidths,
                                              int padding)

Method Detail

### setSyncAllWidths

    public void setSyncAllWidths(boolean newValue)

### getSyncAllWidths

    public boolean getSyncAllWidths()

### setPadding

    public void setPadding(int newPadding)

### getPadding

    public int getPadding()

### setCentersChildren

    public void setCentersChildren(boolean newValue)

### getCentersChildren

    public boolean getCentersChildren()

### addLayoutComponent

    public void addLayoutComponent(java.lang.String string,
                                   java.awt.Component comp)

  Specified by:
    addLayoutComponent in interface java.awt.LayoutManager

### layoutContainer

    public void layoutContainer(java.awt.Container container)

  Specified by:
    layoutContainer in interface java.awt.LayoutManager

### minimumLayoutSize

    public java.awt.Dimension minimumLayoutSize(java.awt.Container c)

  Specified by:
    minimumLayoutSize in interface java.awt.LayoutManager

### preferredLayoutSize

    public java.awt.Dimension preferredLayoutSize(java.awt.Container c)

  Specified by:
    preferredLayoutSize in interface java.awt.LayoutManager

### removeLayoutComponent

    public void removeLayoutComponent(java.awt.Component c)

  Specified by:
    removeLayoutComponent in interface java.awt.LayoutManager

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.